#include <stdio.h>
#include <stdlib.h>

double min(double* x)
{
    double m;
    int k=1;

    if(!x[1])
        return 0;

    m=x[1];

    while(x[++k]){
        if(x[k]<m)
            m=x[k];
    }

    return m;
}

void prodavaci_sort(double **vozaci, int n)
{
    int i, j;
    double *tmp;

    /*SORT*/
    for(i=0; i<n-1; i++){
        for(j=i+1; j<n; j++){
            if(!min(vozaci[i]) || min(vozaci[i])>min(vozaci[j]) && min(vozaci[j])){
                tmp=vozaci[i];
                vozaci[i]=vozaci[j];
                vozaci[j]=tmp;
            }
        }
    }

    /*ISPIS*/
    for(i=0; i<n; i++){
        j=0;
        printf("\n%g\t", vozaci[i][0]);
        while(vozaci[i][++j])
            printf("%g ", vozaci[i][j]);
        printf("\n");
    }
}

int main(void)
{
    int n, i, k;
    double **vozaci;

    printf("Ucitajte broj vozaca: ");
    scanf("%d", &n);

    vozaci=(double**)malloc(n*sizeof(double*));
    for(i=0; i<n; i++){
        k=0;
        vozaci[i]=(double*)malloc(++k*sizeof(double));
        vozaci[i][0]=i;
        printf("Ucitajte vremena odvozenih krugova vozaca %d (za kraj ucitajte 0):\n", i);
        do{
            vozaci[i]=(double*)realloc(vozaci[i],++k*sizeof(double));
            scanf("%lg", &vozaci[i][k-1]);
        }while(vozaci[i][k-1]);
    }

    prodavaci_sort(vozaci,n);

    for(i=0; i<n; i++)
        free(vozaci[i]);
    free(vozaci);

    return 0;
}
