#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

char *spijuni(const char *tekst, const char *rijec, const char *sifra)
{
	int i, j;
	char *s;

	s = (char *)malloc( strlen(tekst)+1 );
	strcpy(s, tekst);

	for (i = 0; s[i]; ++i)
	{
		j = 0;
		while (s[i+j] && rijec[j] && toupper(s[i+j]) == toupper(rijec[j])) j++;
		if (rijec[j] == '\0')
		{
			int k = i+j-1;
			while (j) 
			{
				j--;				
				s[i+j] = sifra[j];
			}
			i = k;
		}
	}
	
	return s;
}

int main()
{
	char s[] = "Unisten tenk iz Tenkovske divizije";
	char rijec[] = "tenk";
	char sifra[] = "slon";
	char *sifrirano;

	sifrirano = spijuni(s, rijec, sifra);
	printf("%s\n", sifrirano);
	free(sifrirano);

	return 0;
}
