#include <stdio.h>
#include <stdlib.h>

double max(double* x)
{
    double m;
    int k=1;

    if(!x[1])
        return 0;

    m=x[1];

    while(x[++k]){
        if(x[k]>m)
            m=x[k];
    }

    return m;
}

void prodavaci_sort(double **ronioci, int n)
{
    int i, j;
    double *tmp;

    /*SORT*/
    for(i=0; i<n-1; i++){
        for(j=i+1; j<n; j++){
            if(max(ronioci[i])<max(ronioci[j])){
                tmp=ronioci[i];
                ronioci[i]=ronioci[j];
                ronioci[j]=tmp;
            }
        }
    }

    /*ISPIS*/
    for(i=0; i<n; i++){
        j=0;
        printf("\n%g\t", ronioci[i][0]);
        while(ronioci[i][++j])
            printf("%g ", ronioci[i][j]);
        printf("\n");
    }
}

int main(void)
{
    int n, i, k;
    double **ronioci;

    printf("Ucitajte broj ronioca: ");
    scanf("%d", &n);

    ronioci=(double**)malloc(n*sizeof(double*));
    for(i=0; i<n; i++){
        k=0;
        ronioci[i]=(double*)malloc(++k*sizeof(double));
        ronioci[i][0]=i;
        printf("Ucitajte postignuta vremena ronioca %d (za kraj ucitajte 0):\n", i);
        do{
            ronioci[i]=(double*)realloc(ronioci[i],++k*sizeof(double));
            scanf("%lg", &ronioci[i][k-1]);
        }while(ronioci[i][k-1]);
    }

    prodavaci_sort(ronioci,n);

    for(i=0; i<n; i++)
        free(ronioci[i]);
    free(ronioci);

    return 0;
}
