#include <stdio.h>
#include <stdlib.h>

double suma(double* x)
{
    double s=0;
    int k=0;

    while(x[++k]){
        s+=x[k];
    }

    return s;
}

void prodavaci_sort(double **agencije, int n)
{
    int i, j;
    double *tmp;

    /*SORT*/
    for(i=0; i<n-1; i++){
        for(j=i+1; j<n; j++){
            if(suma(agencije[i])<suma(agencije[j])){
                tmp=agencije[i];
                agencije[i]=agencije[j];
                agencije[j]=tmp;
            }
        }
    }

    /*ISPIS*/
    for(i=0; i<n; i++){
        j=0;
        printf("\n%g\t", agencije[i][0]);
        while(agencije[i][++j])
            printf("%g ", agencije[i][j]);
        printf("\n");
    }
}

int main(void)
{
    int n, i, k;
    double **agencije;

    printf("Ucitajte broj agencija: ");
    scanf("%d", &n);

    agencije=(double**)malloc(n*sizeof(double*));
    for(i=0; i<n; i++){
        k=0;
        agencije[i]=(double*)malloc(++k*sizeof(double));
        agencije[i][0]=i;
        printf("Ucitajte cijene rezervacija agencije %d (za kraj ucitajte 0):\n", i);
        do{
            agencije[i]=(double*)realloc(agencije[i],++k*sizeof(double));
            scanf("%lg", &agencije[i][k-1]);
        }while(agencije[i][k-1]);
    }

    prodavaci_sort(agencije,n);

    for(i=0; i<n; i++)
        free(agencije[i]);
    free(agencije);

    return 0;
}
