#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

char *cenzura(const char *tekst, const char *rijec)
{
	int i, j;
	char *s;

	s = (char *)malloc( strlen(tekst)+1 );
	strcpy(s, tekst);

	for (i = 0; s[i]; ++i)
	{
		j = 0;
		while (s[i+j] && rijec[j] && toupper(s[i+j]) == toupper(rijec[j])) j++;
		if (rijec[j] == '\0')
		{
			int k = i+j-1;
			while (j) s[i+(--j)] = '*';
			i = k;
		}
	}
	
	return s;
}

int main()
{
	char s[] = "Luka Kovac radi u kovacnici.";
	char rijec[] = "Kovac";
	char *cenzurirano;

	cenzurirano = cenzura(s, rijec);
	printf("%s\n", cenzurirano);
	free(cenzurirano);

	return 0;
}
